{% extends "base.html" %}

{% block content %}
<h1>Tools</h1>
<div class="tool-grid">
    <a href="/translate" class="tool-box">
        <h3>Translate</h3>
        <p>Translation-related operations. Convert text between languages.</p>
    </a>
    <a href="/video-download" class="tool-box">
        <h3>Download Video</h3>
        <p>Video download operations. Download videos from various sources.</p>
    </a>
    <a href="/rss-fetch" class="tool-box">
        <h3>Fetch RSS</h3>
        <p>RSS feed fetching. Obtain and optionally fetch full article content.</p>
    </a>
    <a href="/image-metadata" class="tool-box">
        <h3>Image Metadata</h3>
        <p>Extract metadata from images.</p>
    </a>
    <a href="/transcribe" class="tool-box">
        <h3>Audio Transcribe</h3>
        <p>Transcribe audio locally using whisper.</p>
    </a>
    <a href="/username-searcher" class="tool-box">
        <h3>Username Searcher</h3>
        <p>Search for username across hundreds of services.</p>
    </a>
    <a href="/steam" class="tool-box">
        <h3>Steam Profile</h3>
        <p>Extract steam profile data</p>
    </a>
    <a href="/github" class="tool-box">
        <h3>GitHub</h3>
        <p>Extract github profile data</p>
    </a>
    <a href="/reddit" class="tool-box">
        <h3>Reddit</h3>
        <p>Extract reddit profile data</p>
    </a>
    <a href="/quizlet" class="tool-box">
        <h3>Quizlet</h3>
        <p>Extract Quizlet Flashcards Data</p>
    </a>
</div>
{% endblock %}